Subject: Re: bug#64712: 29.0.92; Emacs 29 with native compilation compiles cl-loaddefs.el on every startup

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Sep 2023 14:29:47 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 5 Sep 2023 16:11:16 -0700
> Cc: [email-masked], [email-masked], [email-masked], 
> 	[email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Not to slow down the build unnecessarily, I think.  Basically, the
> > same reason why we have "no-byte-compile: t" in some files: you get no
> > gains from doing that, you just waste CPU time.  And the waste is much
> > more significant with native compilation.
> >
> >> I see that they were added in commit 6c11214dc112, but it doesn't
> >> explain why.
> >
> > When that happens, I always search the mailing lists around the date
> > of the commit.  In this case, I found
> >
> >   https://lists.gnu.org/archive/html/emacs-devel/2022-09/msg00168.html
> >
> >> I personally can't see that it would make much of a difference if we
> >> have them or not, but maybe I'm missing something.
> >
> > If nothing else, it will slow down startup (because each .eln files
> > needs to be loaded via dlopen, as opposed to .elc that is dumped into
> > the pdumper file), albeit insignificantly.  But if we do this with all
> > the autoload files we have, that could slow down in a more tangible
> > ways.  So basically we have here two minor annoyances: you can solve
> > one, but then you "gain" the other one.
> 
> Right.  So perhaps we should just live with it, and close this as
> wontfix.

That would be my preference, given that we don't see any significantly
better alternative.